AbfsBlockStatus (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.services, enum: AbfsBlockStatus

Package org.apache.hadoop.fs.azurebfs.services

# Enum Class AbfsBlockStatus

java.lang.Object
java.lang.Enum<AbfsBlockStatus>
org.apache.hadoop.fs.azurebfs.services.AbfsBlockStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<AbfsBlockStatus>`, `Constable`

public enum AbfsBlockStatus extends Enum<AbfsBlockStatus>
Enum representing the status of an ABFS block.

This enum is used to indicate the current status of a block in the Azure Blob File System (ABFS). The possible statuses are:

- NEW - The block is newly created and has not been processed yet.
- SUCCESS - The block has been successfully processed.
- FAILED - The block processing has failed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  The block processing has failed.
  `NEW`
  The block is newly created and has not been processed yet.
  `SUCCESS`
  The block has been successfully processed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbfsBlockStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbfsBlockStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final AbfsBlockStatus NEW
    The block is newly created and has not been processed yet.

  - ### SUCCESS

    public static final AbfsBlockStatus SUCCESS
    The block has been successfully processed.

  - ### FAILED

    public static final AbfsBlockStatus FAILED
    The block processing has failed.

- ## Method Details

  - ### values

    public static AbfsBlockStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbfsBlockStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null